FreeForAll is a strategy where only one round is played, in which every player plays against every other player in the tournament.

The winner will be the player that has won the most games.

In case of a tie the tied players will play against each other once more.

### Hierarchy

- FreeForAllMatchmaker

### Implements

- IMatchMaker

## Index

### Constructors

- constructor

### Properties

- finished
- index
- maxMatches
- options
- players
- tournamentStats

### Methods

- getRanking
- getRemainingMatches
- isFinished
- updateStats

## Constructors

### constructor

- new FreeForAllMatchmaker(players: Player[], options: MatchOptions): FreeForAllMatchmaker

- - Defined in src/lobby/tournament/matchmaker/FreeForAllMatchmaker.ts:22

  #### Parameters

  - ##### players: Player[]

  - ##### options: MatchOptions

  #### Returns FreeForAllMatchmaker

## Properties

### Private finished

finished: boolean

- Defined in src/lobby/tournament/matchmaker/FreeForAllMatchmaker.ts:20

### Private index

index: number = 0

- Defined in src/lobby/tournament/matchmaker/FreeForAllMatchmaker.ts:22

### Private maxMatches

maxMatches: number

- Defined in src/lobby/tournament/matchmaker/FreeForAllMatchmaker.ts:19

### Private options

options: MatchOptions

- Defined in src/lobby/tournament/matchmaker/FreeForAllMatchmaker.ts:24

### Private players

players: Player[]

- Defined in src/lobby/tournament/matchmaker/FreeForAllMatchmaker.ts:24

### Private tournamentStats

tournamentStats: Tournament

- Defined in src/lobby/tournament/matchmaker/FreeForAllMatchmaker.ts:21

## Methods

### getRanking

- getRanking(): string[]

- - Defined in src/lobby/tournament/matchmaker/FreeForAllMatchmaker.ts:67

  #### Returns string[]

### getRemainingMatches

- getRemainingMatches(): Match[]

- - Defined in src/lobby/tournament/matchmaker/FreeForAllMatchmaker.ts:35

  #### Returns Match[]

### isFinished

- isFinished(): boolean

- Implementation of IMatchMaker.isFinished

  - Defined in src/lobby/tournament/matchmaker/FreeForAllMatchmaker.ts:27

  #### Returns boolean

### updateStats

- updateStats(tournamentStats: Tournament): void

- Implementation of IMatchMaker.updateStats

  - Defined in src/lobby/tournament/matchmaker/FreeForAllMatchmaker.ts:31

  #### Parameters

  - ##### tournamentStats: Tournament

  #### Returns void

Generated using TypeDoc